{
  "criteria": {
    "1": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "item": {
          "items": "minecraft:melon",
          "components": {
            "minecraft:custom_data": "{broom:1}"
          }
        }
      }
    }
  },
  "rewards": {
    "function": "ws:work/misc/tier2/maid/usebroom"
  }
}